Page MenuHomePhabricator

Move originalDomElements to the index-value store
Closed, ResolvedPublic40 Estimated Story Points

Description

Serialising linear data using JSON.stringify is extremely fast, however as soon as a callback is added (e.g. to convert originalDomElements to HTML, or remove it) it becomes less so (3ms vs 300ms on Barack Obama).

If we put ODE (and anything else that doesn't serialise natively) in the index-value store (like we did with annotations) we could serialise the DOM extremely quickly, and serialise the index-value store only when it changes (which should be very infrequently).

Event Timeline

Esanders created this task.Aug 14 2016, 5:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 14 2016, 5:46 PM

This makes remapStoreIndexes hard if an item in the store contains another store index (e.g. annotation.originalDomElementsIndex).

Jdforrester-WMF renamed this task from Consider moving originalDomElements to the index-value store to Move originalDomElements to the index-value store.Aug 16 2016, 7:13 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF triaged this task as High priority.
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF set the point value for this task to 8.
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.

Change 304970 had a related patch set uploaded (by Esanders):
[BREAKING CHANGE] Move originalDomElements to the IV store

https://gerrit.wikimedia.org/r/304970

Change 304970 had a related patch set uploaded (by Esanders):
[BREAKING CHANGE] Move originalDomElements to the IV store and use MD5

https://gerrit.wikimedia.org/r/304970

Change 304970 merged by jenkins-bot:
[BREAKING CHANGE] Move originalDomElements to the IV store and use MD5

https://gerrit.wikimedia.org/r/304970

Jdforrester-WMF closed this task as Resolved.Aug 24 2016, 6:10 PM
Jdforrester-WMF changed the point value for this task from 8 to 40.